com.impinj.stp

## Interface StpApi.BlockPermalockConfigOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.BlockPermalockConfig, StpApi.BlockPermalockConfig.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.BlockPermalockConfigOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.protobuf.ByteString` | `getBlockMask()` The blocks to lock, starting at BlockPointer and ending ((16*(BlockMask array length)) - 1) blocks later.
    `int` | `getBlockPointer()` The starting address for BlockMask in units of 16-bit blocks.
    `boolean` | `hasBlockMask()` The blocks to lock, starting at BlockPointer and ending ((16*(BlockMask array length)) - 1) blocks later.
    `boolean` | `hasBlockPointer()` The starting address for BlockMask in units of 16-bit blocks.

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasBlockPointer

          boolean hasBlockPointer()

      The starting address for BlockMask in units of 16-bit blocks.

    - #### getBlockPointer

          int getBlockPointer()

      The starting address for BlockMask in units of 16-bit blocks.

    - #### hasBlockMask

          boolean hasBlockMask()

      The blocks to lock, starting at BlockPointer and ending ((16*(BlockMask array length)) - 1) blocks later.

    - #### getBlockMask

          com.google.protobuf.ByteString getBlockMask()

      The blocks to lock, starting at BlockPointer and ending ((16*(BlockMask array length)) - 1) blocks later.